#!/usr/bin/env python

import argparse
import sys
import doxpastebin.views as pbviews

PARSER = argparse.ArgumentParser(description='Find the number of views for a '
                                             'paste bin post.')
PARSER.add_argument('-k', '--key', required=True,
                    help='The key for the pastebin post to measure.')
ARGS = PARSER.parse_args()

IS_SUCCESS, RESPONSE = pbviews.views_for_paste(ARGS.key)
if not IS_SUCCESS:
    print "ERROR: {}".format(RESPONSE)
    sys.exit(1)
else:
    print RESPONSE
    sys.exit(0)
